/Users/bernard/b20/bsoft/src/rwmol/rwGROMACS.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/rwmol/rwGROMACS.cpp - Library routines to read and write GROMACS coordinate files.

SYNOPSIS

#include 'rwGROMACS.h'
#include 'utilities.h'
#include <fstream>

  Functions
int readGROMACS (Bstring &filename, Bmolgroup *molgroup)
Reads a Gromacs coordinate file.
int writeGROMACS (Bstring &filename, Bmolgroup *molgroup)
Writes a Gromacs coordinate file.

  Variables
int verbose

Detailed Description

Library routines to read and write GROMACS coordinate files.

Author:
    Bernard Heymann

Date:
    Created: 19980822

    Modified: 20060121

Definition in file rwGROMACS.cpp.

Function Documentation

  int readGROMACS (Bstring & filename, Bmolgroup * molgroup)

Reads a Gromacs coordinate file.

Parameters:
    &filename coordinate file name.
    *molgroup molecule group.

Returns:
    int number of molecules read (<0 if reading failed).

    Gromacs format:
    01234567890123456789012345678901234567890123456789012345678901234567890
    MD of 2 waters, t= 0.0
        6
        1WATER  OW1    1   0.126   1.624   1.679  0.1227 -0.0580  0.0434
        1WATER  HW2    2   0.190   1.661   1.747  0.8085  0.3191 -0.7791
        1WATER  HW3    3   0.177   1.568   1.613 -0.9045 -2.6469  1.3180

Definition at line 31 of file rwGROMACS.cpp.

  int writeGROMACS (Bstring & filename, Bmolgroup * molgroup)

Writes a Gromacs coordinate file.

Parameters:
    &filename coordinate file name.
    *molgroup molecule group.

Returns:
    int number of molecules written (<0 if writing failed).

    Gromacs format:
    01234567890123456789012345678901234567890123456789012345678901234567890
    MD of 2 waters, t= 0.0
        6
        1WATER  OW1    1   0.126   1.624   1.679  0.1227 -0.0580  0.0434
        1WATER  HW2    2   0.190   1.661   1.747  0.8085  0.3191 -0.7791
        1WATER  HW3    3   0.177   1.568   1.613 -0.9045 -2.6469  1.3180

Definition at line 143 of file rwGROMACS.cpp.

Variable Documentation

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.